/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/gui/font.h"
#include "../../display/primitive.h"
#include "../../display/shader.h"

void pokerTalkInit(poker_t *poker);

void pokerTalkDispose(poker_t *poker);

void pokerTalkTextRebuffer(poker_t *poker);

void pokerTalkRender(poker_t *poker);

void pokerTalk(poker_t *poker, char *text);